Skip to navigation

Poll async task status

Beta

Poll status for Asynchronously set field definitions on a study schema. Requires administrator permission on the schema, Studies to be enabled, and updates to be allowed for the schema’s study type.

Include every existing field, including archived fields, in the desired order. Provide a field ID to update an existing field; omit the ID to create a new field. Omitted update attributes retain their existing values. To archive a field, set archived to true and provide archiveReason. Omitting a field does not delete it and causes validation to fail. Configured schema field limits apply..

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired
ID of the asynchronous task to poll.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Response

OK
messagestring
statusenum
Allowed values:
resultobject or nullOptional

Return shape for the set_field_definitions API on schemas.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error